Subject: Get rid of RouterCachingAspect
Description

Caching of the Routing Framework has been extracted to an AOP aspect in order to keep the Router code simple. Since the
introduction of the RouterCachingService (#52452) this is no longer required

Related issues:
related to TYPO3.Flow - Task # 52452: Refactor router caching logic into a se... Resolved 2013-10-02

Associated revisions
Revision d645b051 - 2013-10-15 18:19 - Bastian Waidelich

[TASK] Get rid of RouterCachingAspect

This moves code from the RouterCache AOP aspect to the Router itself
making the aspect redundant.

Before the cache handling of the Routing Framework has been extracted
to an AOP aspect in order to keep the Router code simple. Since the
introduction of the RouterCachingService (#52452) this is no longer
required.

Change-Id: I43fc35c55fdb69e1e67e08782ab0928bc37218de
Resolves: #52704
Related: #52452
Releases: master

History
#1 - 2013-10-11 16:31 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24579

#2 - 2013-10-12 19:08 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24579
#3 - 2013-10-15 20:26 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24579

#4 - 2013-10-21 14:36 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d645b051ad3d8adb849649ff4076c7759c9c006f.
